---
- hosts: localhost
  connection: local
  gather_facts: no

  vars:
    psm_config: '{{ lookup("env", "PSM_CONFIG") }}'

  tasks:

  - name: Create/Delete Security Apps
    dss_security_app:
      state: present
      tenant: default
      psm_config_path: '{{ psm_config }}'
      meta:
        name: http
      spec:
        proto_ports:
        - ports: '80'
          protocol: tcp
